> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Dataset S3



## OpenAPI

````yaml /api-reference/openapi.json post /api/datasets/{dataset_id}/integrations/s3/test
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/integrations/s3/test:
    post:
      tags:
        - api
      summary: Test Dataset S3
      operationId: test_dataset_s3_api_datasets__dataset_id__integrations_s3_test_post
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/S3TestRequest'
                - type: 'null'
              title: Payload
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                title: >-
                  Response Test Dataset S3 Api Datasets  Dataset Id 
                  Integrations S3 Test Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    S3TestRequest:
      properties:
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        bucket:
          anyOf:
            - type: string
            - type: 'null'
          title: Bucket
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
        prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Prefix
        endpoint_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Endpoint Url
        use_path_style:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Use Path Style
        kms_key_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Kms Key Id
        notify_on_complete:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Notify On Complete
        notify_on_failure:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Notify On Failure
        access_key_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Access Key Id
        secret_access_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret Access Key
        session_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Token
        write_test:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Write Test
          default: true
      additionalProperties: false
      type: object
      title: S3TestRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````